# List Gateway Integrations Retrieve a list of Gateway Integration resources. Endpoint: GET /gateway_integrations Version: 2022-02-01 Security: BasicAuth ## Query parameters: - `linked_to` (string, required) Filter the list of Gateway Integration objects to show only those linked to the provided Merchant ID. Example: "MUeg77opgdgQpwejzC9wCNmK" - `after_cursor` (string) Return every resource created after the cursor value. - `before_cursor` (string) Return every resource created before the cursor value. - `created_at.gte` (string) Filter where created_at is after the given date. Example: "2022-09-27T11:21:23" - `created_at.lte` (string) Filter where created_at is before the given date. Example: "2026-09-27T11:21:23" - `limit` (integer) The numbers of items to return. Example: 10 - `tags.key` (string) Filter by the tag's key. For more information, see Tags. Example: "card_type" - `tags.value` (string) Filter by the tag's value. For more information, see Tags. Example: "business_card" - `updated_at.gte` (string) Filter where updated_at is after the given date. Example: "2022-09-27T11:21:23" - `updated_at.lte` (string) Filter where updated_at is before the given date. Example: "2026-09-27T11:21:23" ## Header parameters: - `Finix-Version` (string) Specify the API version of your request. For more details, see Versioning. Example: "2022-02-01" ## Response 200 fields (application/json): - `page` (object) Details the page that's returned. - `page.limit` (integer) The number of entries to return. - `page.next_cursor` (string,null) The cursor to use for the next page of results. - `_embedded` (object) - `_embedded.gateway_integrations` (array) - `_embedded.gateway_integrations.id` (string) The ID of the resource. - `_embedded.gateway_integrations.created_at` (string) Timestamp of when the object was created. - `_embedded.gateway_integrations.updated_at` (string) Timestamp of when the object was last updated. - `_embedded.gateway_integrations.application_id` (string) ID of the Application the resource was created under. - `_embedded.gateway_integrations.linked_to` (string) The ID of the Merchant to which the Gateway Integration is linked. Example: "MUeg77opgdgQpwejzC9wCNm" - `_embedded.gateway_integrations.linked_type` (string) The type of resource to which the Gateway Integration is linked. Enum: "MERCHANT" - `_embedded.gateway_integrations.email` (string) The email address to receive the Cybersource dashboard invitation, which lets you retrieve your Cybersource transacting credentials. If this field was not provided, the invitation will be sent to the email address associated with the merchant's email address defined in [Identity](/api/identities) › entity.email field. Example: "michael@finix.com" - `_embedded.gateway_integrations.state` (string) The state of the Gateway Integration. The possible values are: - PENDING: The Gateway Integration is being processed. - SUCCEEDED: The Gateway Integration was successful. - FAILED: The Gateway Integration failed. Enum: "FAILED", "PENDING", "SUCCEEDED" - `_embedded.gateway_integrations.tags` (object,null) Include up to 50 key: value pairs to annotate requests with custom metadata. - Maximum character length for individual keys is 40. - Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales) - `_embedded.gateway_integrations._links` (object) - `_embedded.gateway_integrations._links.self` (object) Link to the resource that was used in the request. - `_embedded.gateway_integrations._links.self.href` (string) ## Response 401 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 403 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 406 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource.